# de_abandoned_hospital

An open source CS:GO map.

Custom materials used in this map are available inside the materials folder. Do not forget to install them before attempting to compile it through Valve Hammer Editor.

## Getting the map

Build the map or download the [latest release](https://git.quent1.fr/quent1/de_abandoned_hospital/releases).

## Building the map

Open `de_abandoned_hospital.vmf` with Valve Hammer Editor (Counter Strike : Global Offensive SDK version). Press `F9` to compile, then select `Expert...` and choose the `Full compile -both -final (slow)` preset. Compilation will be way slower but it will ensure that the lightning of static props on the map are correctly rendered. 

Once installed, do not forget to generate the navigation meshes file.

## Generating the navigation meshes file

Open CS:GO console and execute : 

	map de_abandoned_hospital
	sv_cheats 1
	nav_generate
	
Now that the standard mesh file is generated, we need to check for missing floors (upper floors and ladders). See this [Valve wiki page](https://developer.valvesoftware.com/wiki/Navigation_Meshes#Explicitly_marking_walkable_areas_.28i.e:_.22There.27s_no_mesh_upstairs.22.29) for more details.

To do so, execute the following commands :

	sv_cheats 1
	nav_edit 1
	
To mark a floor as walkable, execute :

	nav_mark_walkable
	
Once all floors are marked as walkable, rebuild the navigation meshes file :

	nav_generate
	
If the meshes are correctly generated, add all ladders then save the file :

	nav_build_ladder
	nav_save